Skip to main content
POST
/
api
/
public
/
v1
/
games
/
{game}
/
cards
/
resolve
Resolve card identifiers
curl --request POST \
  --url https://api.flexslot.gg/api/public/v1/games/{game}/cards/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Partner-Id: <api-key>' \
  --header 'X-Signature: <api-key>' \
  --data '
{
  "identifiers": [
    {
      "scryfall_id": "<string>",
      "mtgjson_id": "<string>",
      "tcgplayer_id": "<string>",
      "cardId": "<string>",
      "variantId": "<string>",
      "name": "<string>",
      "set": "<string>",
      "collector_number": "<string>"
    }
  ],
  "format": "<string>",
  "strict": false
}
'
import requests

url = "https://api.flexslot.gg/api/public/v1/games/{game}/cards/resolve"

payload = {
"identifiers": [
{
"scryfall_id": "<string>",
"mtgjson_id": "<string>",
"tcgplayer_id": "<string>",
"cardId": "<string>",
"variantId": "<string>",
"name": "<string>",
"set": "<string>",
"collector_number": "<string>"
}
],
"format": "<string>",
"strict": False
}
headers = {
"X-Signature": "<api-key>",
"X-Partner-Id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Signature': '<api-key>',
'X-Partner-Id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
identifiers: [
{
scryfall_id: '<string>',
mtgjson_id: '<string>',
tcgplayer_id: '<string>',
cardId: '<string>',
variantId: '<string>',
name: '<string>',
set: '<string>',
collector_number: '<string>'
}
],
format: '<string>',
strict: false
})
};

fetch('https://api.flexslot.gg/api/public/v1/games/{game}/cards/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "resolved": [
    {}
  ],
  "unresolved": [
    {}
  ]
}

Authorizations

X-Signature
string
header
required

HMAC-SHA256 over canonical request string. Format: v1.<unix_seconds>.<hex_hmac_sha256>.

X-Partner-Id
string
header
required

Partner identifier slug. Required alongside X-Signature for HMAC auth.

Authorization
string
header
required

User-issued personal access token (format: flx_pat_).

Path Parameters

game
string
required

Query Parameters

strict
boolean

When true, return 422 FLEXSLOT_CARD_RESOLUTION_FAILED if any submitted identifier cannot be resolved.

Body

identifiers
object[]
required
format
string | null
strict
boolean
default:false

Response

200 - application/json
resolved
object[]
required
unresolved
object[]
required